LINUX.ORG.RU

QT3 programm compile


0

0

Уже не первый раз такое,что на AltLinux 2.2,что 2.0 - пытаюсь собрать qt3приложение,а configure выдаёт: --------------------- checking for Qt... configure: error: Qt (>= Qt 3.0) (library qt-mt) not found. Please check your installation! ---------------------

Пробовал без qt-mt,аналогично;библиотеки есть,--qt-dir указывал.Что тут можно сделать?

Re: QT3 programm compile

На вскидку: 1) установлена ли переменная QTDIR? 2) Библиотека собиралась или ставилась из пакетов? 3) Собирается ли какая-нибудь тестовая прога под Qt с Makefile, написанным вручную?

ЗЫ:qt-mt - это многопоточная версия библиотеки. Из исходников можно собрать и обычную.

anonymous ()

Re: QT3 programm compile

встречал такие глючные configure - например стабильная tora. правь configure - закоменти проверку qt и пропиши ее путь явно

anonymous ()

Re: QT3 programm compile

apt-get install qt3-devel ?

anonymous ()

Re

>apt-get install qt3-devel ? - всё на месте,даже добавил статическую библиотеку,дело в том,что библиотеку находит,но пишет,что версия не 3.0>.А у меня версия 3.1.

Alexander_Y ()

Re: QT3 programm compile

посмотри переменные QTDIR и QTMAKESPEC

say ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.